# syntax=docker/dockerfile:1

FROM python:3.8-slim-buster

# set the working directory in the container
WORKDIR /code

# copy the dependencies file to the working directory
COPY requirements.txt requirements.txt

# install dependencies
RUN pip install -r requirements.txt

Expose 5432
Expose 5672
# copy the content of the local src directory to the working directory
COPY . .
    
# RUN alembic upgrade head

# command to run on container start
CMD [ "nameko", "run", "--config", "config.yml", "feeds.service", "--backdoor", "3000" ] 